*******************************************
** ADRIAN SHIN                          ***
** www.adrianshin.com                   ***
** Tyrants and Migrants                 ***
** OCTOBER, 2015                        ***
*******************************************
*Full title: "Tyrants and Migrants: Authoritarian Immigration Policy"
*This material is based upon work supported by the National Science Foundation Graduate Student Research Fellowship under Grant No. DGE 0718128.


*Summary Statistics
sutex immipol immipol_avg ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 if year>1945 & regime!=0, minmax
sutex immipol immipol_avg ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 if year>1945 & polity_2<6, minmax

*Correlation Matrix
estpost corr immipol immipol_avg ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 if year>1945 & regime!=0, matrix
esttab . using "correlation1.tex", not unstack compress label noobs replace booktabs page
!texify -p -c -b --run-viewer myfile.tex
estpost corr immipol immipol_avg ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 if year>1945 & polity_2<6, matrix
esttab . using "correlation2.tex", not unstack compress label noobs replace booktabs page
!texify -p -c -b --run-viewer myfile.tex

*Main Results (Binary Autocracy)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth i.year if year>1945 & regime!=0, fe robust dfadj
 estimates store MODEL1, title(Model 1)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 i.year if year>1945 & regime!=0, fe robust dfadj
 estimates store MODEL2, title(Model 2)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth i.year if year>1974 & regime!=0, fe robust dfadj
 estimates store MODEL3, title(Model 3)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 i.year if year>1974 & regime!=0, fe robust dfadj
 estimates store MODEL4, title(Model 4)
 estout MODEL1 MODEL2 MODEL3 MODEL4, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "1234.tex", replace style(tex)
 
*Main Results (Polity < 6)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth i.year if year>1945 & (polity_2<6 | country=="Hong Kong"), fe robust dfadj
 estimates store MODEL5, title(Model 5)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 i.year if year>1945 & polity_2<6, fe robust dfadj
 estimates store MODEL6, title(Model 6)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth i.year if year>1974 & (polity_2<6 | country=="Hong Kong"), fe robust dfadj
 estimates store MODEL7, title(Model 7)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 i.year if year>1974 & polity_2<6 , fe robust dfadj
 estimates store MODEL8, title(Model 8)
  estout MODEL5 MODEL6 MODEL7 MODEL8, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "5678.tex", replace style(tex)
  
 *Robustness Checks without Kuwait and Saudi Arabia
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth i.year if year>1945 & regime!=0 & country!="Kuwait" & country!="Saudi Arabia", fe robust dfadj
 estimates store MODEL9, title(Model 9)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 i.year if year>1945 & regime!=0 & country!="Kuwait" & country!="Saudi Arabia", fe robust dfadj
 estimates store MODEL10, title(Model 10)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth i.year if year>1974 & regime!=0 & country!="Kuwait" & country!="Saudi Arabia", fe robust dfadj
 estimates store MODEL11, title(Model 11)
 xtreg immipol lagged_immipol ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 i.year if year>1974 & regime!=0 & country!="Kuwait" & country!="Saudi Arabia", fe robust dfadj
 estimates store MODEL12, title(Model 12)
 estout MODEL9 MODEL10 MODEL11 MODEL12, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "9101112.tex", replace style(tex)
 
 *Robustness Checks for Immipol Average after 1974
 xtreg immipol_avg lagged_immipol_avg ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth i.year if year>1974 & (polity_2<6 | country=="Hong Kong"), fe robust dfadj
 estimates store MODEL13, title(Model 13)
 xtreg immipol_avg lagged_immipol_avg ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 i.year if year>1974 & polity_2<6 , fe robust dfadj
 estimates store MODEL14, title(Model 14)
 xtreg immipol_avg lagged_immipol_avg ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth i.year if year>1974 & regime!=0, fe robust dfadj
 estimates store MODEL15, title(Model 15)
 xtreg immipol_avg lagged_immipol_avg ln_resource_income_citizen lagged_ln_population ln_gdp_pc gdp_growth polity_2 i.year if year>1974 & regime!=0, fe robust dfadj
 estimates store MODEL16, title(Model 16)
 estout MODEL13 MODEL14 MODEL15 MODEL16, cells(b(star fmt(3)) se(par fmt(3))) starlevels($^{+}$ 0.10 $^{*}$ 0.05 $^{**}$ 0.01 $^{***}$ 0.001) stats(N N_g r2, fmt(0 0 3) label(Observations Countries R$^2$)) label,  using "13141516.tex", replace style(tex)
